<?php
final class PrefectureDao extends Dao {
  private static $ALL = <<<'SQL'
select prefecture_id,
       prefecture_name
  from prefecture
 order by prefecture_id
SQL;
  private static $PK = <<<'SQL'
select prefecture_id,
       prefecture_name
  from prefecture
 where prefecture_id = '%s'
SQL;
  public function getAll() {
    return $this->execute(self::$ALL);
  }
  public function getByPk($pk) {
    return $this->execute(self::$PK, $pk);
  }
}
// EOF.
